import { Destroyable, Event } from "vtxf-xe2/dist-node/xe2-base-utils";
export declare class PriorityQueue<T> extends Destroyable {
    private _queue;
    private _changed;
    get changed(): Event<[]>;
    constructor();
    /**
     * 入队
     * @param element 元素
     * @param priority
     */
    enqueue(element: T, priority?: number): void;
    dequeue(element?: T): void;
    isEmpty(): boolean;
    size(): number;
    [Symbol.iterator](): Generator<T, void, unknown>;
}
