import { ReactParamsType } from "vtxf-xe2/dist-node/xe2-base-utils";
import { WithNullProperty, WithUndefinedProperty } from "./WithUndefinedProperty";
export declare abstract class ReactVarProperty<T> extends WithUndefinedProperty<T> {
    private _reactVar;
    constructor(name: string, description: string, withUndefined: boolean, readonly: boolean, _reactVar: ReactParamsType<T>, defaultValue?: T | (() => T));
    get reactVar(): ReactParamsType<T, any>;
}
export declare abstract class ReactVarWithNullProperty<T> extends WithNullProperty<T> {
    private _reactVar;
    constructor(name: string, description: string, withNull: boolean, readonly: boolean, _reactVar: ReactParamsType<T>, defaultValue?: T | (() => T));
    get reactVar(): ReactParamsType<T, any>;
}
