import { Destroyable } from "vtxf-xe2/dist-node/xe2-base-utils";
import * as Cesium from 'cesium';
import { CzmCzm3DTiles } from "./CzmCzm3DTiles";
import { Czm3DTiles } from "../../CzmObjects";
export declare class StyleControl extends Destroyable {
    private _tileset;
    private _czmCzmObj;
    get tileset(): Cesium.Cesium3DTileset;
    get czmCzmObj(): CzmCzm3DTiles;
    get sceneObject(): Czm3DTiles;
    private _resetting;
    constructor(_tileset: Cesium.Cesium3DTileset, _czmCzmObj: CzmCzm3DTiles);
}
